blaze-html-0.9.1.2: A blazingly fast HTML combinator library for Haskell

Safe Haskell | Safe-Inferred
Language | Haskell98

Text.Blaze.Html4.Strict

Description

This module exports HTML combinators used to create documents.

Synopsis

- module Text.Blaze.Html
- docType :: Html
- docTypeHtml :: Html -> Html
- a :: Html -> Html
- abbr :: Html -> Html
- acronym :: Html -> Html
- address :: Html -> Html
- area :: Html
- b :: Html -> Html
- bdo :: Html -> Html
- big :: Html -> Html
- blockquote :: Html -> Html
- body :: Html -> Html
- br :: Html
- button :: Html -> Html
- caption :: Html -> Html
- cite :: Html -> Html
- code :: Html -> Html
- col :: Html
- colgroup :: Html -> Html
- dd :: Html -> Html
- del :: Html -> Html
- dfn :: Html -> Html
- div :: Html -> Html
- dl :: Html -> Html
- dt :: Html -> Html
- em :: Html -> Html
- fieldset :: Html -> Html
- form :: Html -> Html
- h1 :: Html -> Html
- h2 :: Html -> Html
- h3 :: Html -> Html
- h4 :: Html -> Html
- h5 :: Html -> Html
- h6 :: Html -> Html
- head :: Html -> Html
- hr :: Html
- html :: Html -> Html
- i :: Html -> Html
- img :: Html
- input :: Html
- ins :: Html -> Html
- kbd :: Html -> Html
- label :: Html -> Html
- legend :: Html -> Html
- li :: Html -> Html
- link :: Html
- map :: Html -> Html
- meta :: Html
- noscript :: Html -> Html
- object :: Html -> Html
- ol :: Html -> Html
- optgroup :: Html -> Html
- option :: Html -> Html
- p :: Html -> Html
- param :: Html
- pre :: Html -> Html
- q :: Html -> Html
- samp :: Html -> Html
- script :: Html -> Html
- select :: Html -> Html
- small :: Html -> Html
- span :: Html -> Html
- strong :: Html -> Html
- style :: Html -> Html
- sub :: Html -> Html
- sup :: Html -> Html
- table :: Html -> Html
- tbody :: Html -> Html
- td :: Html -> Html
- textarea :: Html -> Html
- tfoot :: Html -> Html
- th :: Html -> Html
- thead :: Html -> Html
- title :: Html -> Html
- tr :: Html -> Html
- tt :: Html -> Html
- ul :: Html -> Html
- var :: Html -> Html

# Documentation

module Text.Blaze.Html

docType #

Arguments

:: Html | The document type HTML.

Combinator for the document type. This should be placed at the top of every HTML page.

Example:

    docType

Result:

    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
        "http://www.w3.org/TR/html4/strict.dtd">

docTypeHtml #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<html>` element. This combinator will also insert the correct doctype.

Example:

    docTypeHtml $ span $ toHtml "foo"

Result:

    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
        "http://www.w3.org/TR/html4/strict.dtd">
    <html><span>foo</span></html>

a #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<a>` element.

Example:

    a $ span $ toHtml "foo"

Result:

    <a><span>foo</span></a>

abbr #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<abbr>` element.

Example:

    abbr $ span $ toHtml "foo"

Result:

    <abbr><span>foo</span></abbr>

acronym #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<acronym>` element.

Example:

    acronym $ span $ toHtml "foo"

Result:

    <acronym><span>foo</span></acronym>

address #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<address>` element.

Example:

    address $ span $ toHtml "foo"

Result:

    <address><span>foo</span></address>

area #

Arguments

:: Html | Resulting HTML.

Combinator for the `<area />` element.

Example:

    area

Result:

    <area />

b #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<b>` element.

Example:

    b $ span $ toHtml "foo"

Result:

    <b><span>foo</span></b>

bdo #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<bdo>` element.

Example:

    bdo $ span $ toHtml "foo"

Result:

    <bdo><span>foo</span></bdo>

big #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<big>` element.

Example:

    big $ span $ toHtml "foo"

Result:

    <big><span>foo</span></big>

blockquote #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<blockquote>` element.

Example:

    blockquote $ span $ toHtml "foo"

Result:

    <blockquote><span>foo</span></blockquote>

body #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<body>` element.

Example:

    body $ span $ toHtml "foo"

Result:

    <body><span>foo</span></body>

br #

Arguments

:: Html | Resulting HTML.

Combinator for the `<br />` element.

Example:

    br

Result:

    <br />

button #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<button>` element.

Example:

    button $ span $ toHtml "foo"

Result:

    <button><span>foo</span></button>

caption #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<caption>` element.

Example:

    caption $ span $ toHtml "foo"

Result:

    <caption><span>foo</span></caption>

cite #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<cite>` element.

Example:

    cite $ span $ toHtml "foo"

Result:

    <cite><span>foo</span></cite>

code #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<code>` element.

Example:

    code $ span $ toHtml "foo"

Result:

    <code><span>foo</span></code>

col #

Arguments

:: Html | Resulting HTML.

Combinator for the `<col />` element.

Example:

    col

Result:

    <col />

colgroup #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<colgroup>` element.

Example:

    colgroup $ span $ toHtml "foo"

Result:

    <colgroup><span>foo</span></colgroup>

dd #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<dd>` element.

Example:

    dd $ span $ toHtml "foo"

Result:

    <dd><span>foo</span></dd>

del #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<del>` element.

Example:

    del $ span $ toHtml "foo"

Result:

    <del><span>foo</span></del>

dfn #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<dfn>` element.

Example:

    dfn $ span $ toHtml "foo"

Result:

    <dfn><span>foo</span></dfn>

div #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<div>` element.

Example:

    div $ span $ toHtml "foo"

Result:

    <div><span>foo</span></div>

dl #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<dl>` element.

Example:

    dl $ span $ toHtml "foo"

Result:

    <dl><span>foo</span></dl>

dt #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<dt>` element.

Example:

    dt $ span $ toHtml "foo"

Result:

    <dt><span>foo</span></dt>

em #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<em>` element.

Example:

    em $ span $ toHtml "foo"

Result:

    <em><span>foo</span></em>

fieldset #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<fieldset>` element.

Example:

    fieldset $ span $ toHtml "foo"

Result:

    <fieldset><span>foo</span></fieldset>

form #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<form>` element.

Example:

    form $ span $ toHtml "foo"

Result:

    <form><span>foo</span></form>

h1 #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h1>` element.

Example:

    h1 $ span $ toHtml "foo"

Result:

    <h1><span>foo</span></h1>

h2 #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h2>` element.

Example:

    h2 $ span $ toHtml "foo"

Result:

    <h2><span>foo</span></h2>

h3 #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h3>` element.

Example:

    h3 $ span $ toHtml "foo"

Result:

    <h3><span>foo</span></h3>

h4 #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h4>` element.

Example:

    h4 $ span $ toHtml "foo"

Result:

    <h4><span>foo</span></h4>

h5 #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h5>` element.

Example:

    h5 $ span $ toHtml "foo"

Result:

    <h5><span>foo</span></h5>

h6 #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h6>` element.

Example:

    h6 $ span $ toHtml "foo"

Result:

    <h6><span>foo</span></h6>

head #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<head>` element.

Example:

    head $ span $ toHtml "foo"

Result:

    <head><span>foo</span></head>

hr #

Arguments

:: Html | Resulting HTML.

Combinator for the `<hr />` element.

Example:

    hr

Result:

    <hr />

html #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<html>` element.

Example:

    html $ span $ toHtml "foo"

Result:

    <html><span>foo</span></html>

i #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<i>` element.

Example:

    i $ span $ toHtml "foo"

Result:

    <i><span>foo</span></i>

img #

Arguments

:: Html | Resulting HTML.

Combinator for the `<img />` element.

Example:

    img

Result:

    <img />

input #

Arguments

:: Html | Resulting HTML.

Combinator for the `<input />` element.

Example:

    input

Result:

    <input />

ins #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<ins>` element.

Example:

    ins $ span $ toHtml "foo"

Result:

    <ins><span>foo</span></ins>

kbd #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<kbd>` element.

Example:

    kbd $ span $ toHtml "foo"

Result:

    <kbd><span>foo</span></kbd>

label #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<label>` element.

Example:

    label $ span $ toHtml "foo"

Result:

    <label><span>foo</span></label>

legend #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<legend>` element.

Example:

    legend $ span $ toHtml "foo"

Result:

    <legend><span>foo</span></legend>

li #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<li>` element.

Example:

    li $ span $ toHtml "foo"

Result:

    <li><span>foo</span></li>

link #

Arguments

:: Html | Resulting HTML.

Combinator for the `<link />` element.

Example:

    link

Result:

    <link />

map #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<map>` element.

Example:

    map $ span $ toHtml "foo"

Result:

    <map><span>foo</span></map>

meta #

Arguments

:: Html | Resulting HTML.

Combinator for the `<meta />` element.

Example:

    meta

Result:

    <meta />

noscript #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<noscript>` element.

Example:

    noscript $ span $ toHtml "foo"

Result:

    <noscript><span>foo</span></noscript>

object #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<object>` element.

Example:

    object $ span $ toHtml "foo"

Result:

    <object><span>foo</span></object>

ol #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<ol>` element.

Example:

    ol $ span $ toHtml "foo"

Result:

    <ol><span>foo</span></ol>

optgroup #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<optgroup>` element.

Example:

    optgroup $ span $ toHtml "foo"

Result:

    <optgroup><span>foo</span></optgroup>

option #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<option>` element.

Example:

    option $ span $ toHtml "foo"

Result:

    <option><span>foo</span></option>

p #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<p>` element.

Example:

    p $ span $ toHtml "foo"

Result:

    <p><span>foo</span></p>

param #

Arguments

:: Html | Resulting HTML.

Combinator for the `<param />` element.

Example:

    param

Result:

    <param />

pre #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<pre>` element.

Example:

    pre $ span $ toHtml "foo"

Result:

    <pre><span>foo</span></pre>

q #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<q>` element.

Example:

    q $ span $ toHtml "foo"

Result:

    <q><span>foo</span></q>

samp #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<samp>` element.

Example:

    samp $ span $ toHtml "foo"

Result:

    <samp><span>foo</span></samp>

script #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<script>` element.

Example:

    script $ span $ toHtml "foo"

Result:

    <script><span>foo</span></script>

select #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<select>` element.

Example:

    select $ span $ toHtml "foo"

Result:

    <select><span>foo</span></select>

small #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<small>` element.

Example:

    small $ span $ toHtml "foo"

Result:

    <small><span>foo</span></small>

span #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<span>` element.

Example:

    span $ span $ toHtml "foo"

Result:

    <span><span>foo</span></span>

strong #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<strong>` element.

Example:

    strong $ span $ toHtml "foo"

Result:

    <strong><span>foo</span></strong>

style #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<style>` element.

Example:

    style $ span $ toHtml "foo"

Result:

    <style><span>foo</span></style>

sub #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<sub>` element.

Example:

    sub $ span $ toHtml "foo"

Result:

    <sub><span>foo</span></sub>

sup #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<sup>` element.

Example:

    sup $ span $ toHtml "foo"

Result:

    <sup><span>foo</span></sup>

table #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<table>` element.

Example:

    table $ span $ toHtml "foo"

Result:

    <table><span>foo</span></table>

tbody #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<tbody>` element.

Example:

    tbody $ span $ toHtml "foo"

Result:

    <tbody><span>foo</span></tbody>

td #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<td>` element.

Example:

    td $ span $ toHtml "foo"

Result:

    <td><span>foo</span></td>

textarea #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<textarea>` element.

Example:

    textarea $ span $ toHtml "foo"

Result:

    <textarea><span>foo</span></textarea>

tfoot #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<tfoot>` element.

Example:

    tfoot $ span $ toHtml "foo"

Result:

    <tfoot><span>foo</span></tfoot>

th #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<th>` element.

Example:

    th $ span $ toHtml "foo"

Result:

    <th><span>foo</span></th>

thead #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<thead>` element.

Example:

    thead $ span $ toHtml "foo"

Result:

    <thead><span>foo</span></thead>

title #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<title>` element.

Example:

    title $ span $ toHtml "foo"

Result:

    <title><span>foo</span></title>

tr #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<tr>` element.

Example:

    tr $ span $ toHtml "foo"

Result:

    <tr><span>foo</span></tr>

tt #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<tt>` element.

Example:

    tt $ span $ toHtml "foo"

Result:

    <tt><span>foo</span></tt>

ul #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<ul>` element.

Example:

    ul $ span $ toHtml "foo"

Result:

    <ul><span>foo</span></ul>

var #

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<var>` element.

Example:

    var $ span $ toHtml "foo"

Result:

    <var><span>foo</span></var>